# ApplicationFramework
TKCAF
TFunction

# TFunction_Array1OfDataMapOfGUIDDriver Class Reference

`#include <TFunction_Array1OfDataMapOfGUIDDriver.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_Array1OfDataMapOfGUIDDriver (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TFunction_Array1OfDataMapOfGUIDDriver (const TFunction_DataMapOfGUIDDriver &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const TFunction_DataMapOfGUIDDriver &V)
Standard_EXPORT void | Destroy ()
| ~TFunction_Array1OfDataMapOfGUIDDriver ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TFunction_Array1OfDataMapOfGUIDDriver & | Assign (const TFunction_Array1OfDataMapOfGUIDDriver &Other)
const TFunction_Array1OfDataMapOfGUIDDriver & | operator= (const TFunction_Array1OfDataMapOfGUIDDriver &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TFunction_DataMapOfGUIDDriver &Value)
const TFunction_DataMapOfGUIDDriver & | Value (const Standard_Integer Index) const
const TFunction_DataMapOfGUIDDriver & | operator() (const Standard_Integer Index) const
TFunction_DataMapOfGUIDDriver & | ChangeValue (const Standard_Integer Index)
TFunction_DataMapOfGUIDDriver & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TFunction_Array1OfDataMapOfGUIDDriver (const TFunction_Array1OfDataMapOfGUIDDriver &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_Array1OfDataMapOfGUIDDriver::TFunction_Array1OfDataMapOfGUIDDriver | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TFunction_Array1OfDataMapOfGUIDDriver::TFunction_Array1OfDataMapOfGUIDDriver | ( | const TFunction_DataMapOfGUIDDriver & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TFunction_Array1OfDataMapOfGUIDDriver::~TFunction_Array1OfDataMapOfGUIDDriver | ( |  | ) | `[inline]`

Standard_EXPORT TFunction_Array1OfDataMapOfGUIDDriver::TFunction_Array1OfDataMapOfGUIDDriver | ( | const TFunction_Array1OfDataMapOfGUIDDriver & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TFunction_Array1OfDataMapOfGUIDDriver& TFunction_Array1OfDataMapOfGUIDDriver::Assign | ( | const TFunction_Array1OfDataMapOfGUIDDriver & | Other | ) |

TFunction_DataMapOfGUIDDriver& TFunction_Array1OfDataMapOfGUIDDriver::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TFunction_Array1OfDataMapOfGUIDDriver::Destroy | ( |  | ) |

Standard_EXPORT void TFunction_Array1OfDataMapOfGUIDDriver::Init | ( | const TFunction_DataMapOfGUIDDriver & | V | ) |

Standard_Boolean TFunction_Array1OfDataMapOfGUIDDriver::IsAllocated | ( |  | ) | const

Standard_Integer TFunction_Array1OfDataMapOfGUIDDriver::Length | ( |  | ) | const

Standard_Integer TFunction_Array1OfDataMapOfGUIDDriver::Lower | ( |  | ) | const

void TFunction_Array1OfDataMapOfGUIDDriver::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_Array1OfDataMapOfGUIDDriver::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_Array1OfDataMapOfGUIDDriver::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TFunction_DataMapOfGUIDDriver& TFunction_Array1OfDataMapOfGUIDDriver::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TFunction_DataMapOfGUIDDriver& TFunction_Array1OfDataMapOfGUIDDriver::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TFunction_Array1OfDataMapOfGUIDDriver& TFunction_Array1OfDataMapOfGUIDDriver::operator= | ( | const TFunction_Array1OfDataMapOfGUIDDriver & | Other | ) | `[inline]`

void TFunction_Array1OfDataMapOfGUIDDriver::SetValue | ( | const Standard_Integer | Index,
|  | const TFunction_DataMapOfGUIDDriver & | Value
| ) |

Standard_Integer TFunction_Array1OfDataMapOfGUIDDriver::Upper | ( |  | ) | const

const TFunction_DataMapOfGUIDDriver& TFunction_Array1OfDataMapOfGUIDDriver::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TFunction_Array1OfDataMapOfGUIDDriver::isAllocated `[private]`

Standard_Integer TFunction_Array1OfDataMapOfGUIDDriver::myLowerBound `[private]`

Standard_Address TFunction_Array1OfDataMapOfGUIDDriver::myStart `[private]`

Standard_Integer TFunction_Array1OfDataMapOfGUIDDriver::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TFunction_Array1OfDataMapOfGUIDDriver.hxx